Draft: Dividi

From FreeCAD Documentation
Revision as of 09:36, 4 September 2021 by Heda (talk | contribs)

Dividi

Posizione nel menu
Draft → Dividi
Ambiente
Draft
Avvio veloce
S P
Introdotto nella versione
0.18
Vedere anche
Unisci

Descrizione

Lo strumento Dividi tenta di dividere un contorno esistente su uno spigolo o un punto specificato.

Utilizzo

  1. Premere il pulsante Dividi o premere i tasti S e poi P.
  2. Cliccare su un contorno dove si vuole dividerlo.

Notes

La controparte di questo strumento è l'operazione Unisci.

Scripting

Lo strumento Dividi può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

split(wire, newPoint, edgeIndex)
  • wire the wire object to be split.
  • newPoint the point where the split should occur.
  • edgeIndex index of the edge where the split should occur (1-based).

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(500, 0, 0)
p3 = App.Vector(250, 0, 0)

wire = Draft.make_wire([p1, p2])

Draft.split(wire, p3, 1)
doc.recompute()